commit:     40b52ebb7240644ba2b9d95ff24cbd331ab10719
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 25 05:10:01 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Aug 25 05:31:49 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=40b52ebb

dev-python/beautifulsoup4: Bump to 4.13.5

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/beautifulsoup4/Manifest                 |  1 +
 .../beautifulsoup4/beautifulsoup4-4.13.5.ebuild    | 47 ++++++++++++++++++++++
 2 files changed, 48 insertions(+)

diff --git a/dev-python/beautifulsoup4/Manifest 
b/dev-python/beautifulsoup4/Manifest
index b3fe22fab194..1a5566d62f9a 100644
--- a/dev-python/beautifulsoup4/Manifest
+++ b/dev-python/beautifulsoup4/Manifest
@@ -1 +1,2 @@
 DIST beautifulsoup4-4.13.4.tar.gz 621067 BLAKE2B 
7e4cb0156443efc18d11ddb20dfeb5b4e3338ea19d6f90a4e6ebf67d88441552d1b3bf21c51714c50c2c418d93b9a6fc085bbf531dffa35231e6e177dcf9d11c
 SHA512 
7763e7e8528db54c48d29cd300155fc6d5b69785d3ea7d6ca14427b81b384838c4015d952ad6111800aa0b50632e16959cc311f3ff25b3860d7600e3cd3a10d4
+DIST beautifulsoup4-4.13.5.tar.gz 622954 BLAKE2B 
4dc86ae7dfd3b9f9f4b3a5b305ee34bbf9ec7f3dcdea2703d4bde274df76137d057dad2c5a49d34a6ee0f7a5f28e48c4aa78b5f5fd1c199d9a33732877a81c09
 SHA512 
81c0be4e2f228ea11c78540d850ba11e74ebf784460188680d351fbe0f54f4fb9f94e0e7a1a1bfb9e6e5222be6203fbd777aa3483902942dbf9319227ff112bf

diff --git a/dev-python/beautifulsoup4/beautifulsoup4-4.13.5.ebuild 
b/dev-python/beautifulsoup4/beautifulsoup4-4.13.5.ebuild
new file mode 100644
index 000000000000..a8ed89595d2d
--- /dev/null
+++ b/dev-python/beautifulsoup4/beautifulsoup4-4.13.5.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{11..14} pypy3_11 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Pythonic idioms for iterating, searching, and modifying an 
HTML/XML parse tree"
+HOMEPAGE="
+       https://www.crummy.com/software/BeautifulSoup/bs4/
+       https://pypi.org/project/beautifulsoup4/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+RDEPEND="
+       dev-python/html5lib[${PYTHON_USEDEP}]
+       dev-python/lxml[${PYTHON_USEDEP}]
+       >=dev-python/soupsieve-2.6[${PYTHON_USEDEP}]
+       >=dev-python/typing-extensions-4.0.0[${PYTHON_USEDEP}]
+"
+# bs4 prefers cchardet > chardet > charset-normalizer
+# however, charset-normalizer causes test failures, so force the other two
+# dev-python/chardet[${PYTHON_USEDEP}]
+BDEPEND="
+       test? (
+               || (
+                       dev-python/faust-cchardet[${PYTHON_USEDEP}]
+                       dev-python/chardet[${PYTHON_USEDEP}]
+               )
+               dev-python/packaging[${PYTHON_USEDEP}]
+       )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+distutils_enable_sphinx doc
+
+EPYTEST_DESELECT=(
+       # broken by security backports, already skipped on py3.13+
+       
"bs4/tests/test_fuzz.py::TestFuzz::test_rejected_markup[crash-ffbdfa8a2b26f13537b68d3794b0478a4090ee4a]"
+)

Reply via email to